<%@page contentType="text/html;charset=UTF-8"%>
<%--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

--%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="s" uri="http://shale.apache.org/core"%>
<%@ taglib prefix="val" uri="http://shale.apache.org/validator"%>
<%@ taglib prefix="clay" uri="http://shale.apache.org/clay"%>
<html>
<head>
<title>Rolodex Example Using Clay</title>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css" media="screen">

.linkPrev {
	text-align: left; 
	color: black; 
	font-family: arial; font-size: 8pt
}
.linkNext {
	text-align: right; 
	color: black; 
	font-family: arial; font-size: 8pt
}
.links {
	text-align: center; 
	color: black; 
	font-family: arial; font-size: 8pt
}
.caption {
	text-align: center; 
	color: #99CC66; 
	font-family: arial; font-size: 8pt
}

body {
	margin : 10px;
	font: Verdana, Helvetica, Arial;
	padding: 0px;
	background: #fff;
}

#menu {
	border-bottom : 1px solid #ccc;
	margin : 0;
	padding-bottom : 19px;
	padding-left : 10px;
}

#menu ul, #menu li	{
	display : inline;
	list-style-type : none;
	margin : 0;
	padding : 0;
}

	
#menu a:link, #menu a:visited	{
	background : #E8EBF0;
	border : 1px solid #ccc;
	color : #666;
	float : left;
	font-size : small;
	font-weight : normal;
	line-height : 14px;
	margin-right : 8px;
	padding : 2px 10px 2px 10px;
	text-decoration : none;
}

#menu a:link.active, #menu a:visited.active	{
	background : #fff;
	border-bottom : 1px solid #fff;
	color : #000;
}

#menu a:hover	{
	color : #f00;
}

.contacts {
   border: 1px solid #fff;
}

.contactsHeader {
   text-align: center;
   color: #99CC66;
   background: #E5F2D9;   
}

.contactsRow2 {
   text-align: left;
   color: #99CC66;
   background: #D9EEF2;   
}

.contactsRow1 {
   text-align: left;
   color: #99CC66;
   background: #F1F7D4;   
}
	
body.section-1 #menu li#nav-sel a {
	background : #fff;
	border-bottom : 1px solid #fff;
	color : #000;
}

li#nav {
	background : #red;
	border-bottom : 1px solid #000;
	color : #000;
}

#menu ul a:hover {
	color : #f00 !important;
}

#contents {
	background : #fff;
	border : 1px solid #ccc;
	border-top : none;
	clear : both;
	margin : 0px;
	padding : 15px;
}

input.button {
    width: 1.2in; 
    text-align: center; 
    color: #99CC66; 
    font-size: 12px; 
    font-style: normal; 
    font-weight: bold
}

</style>


</head>

<f:view>
  <f:loadBundle var="messages" basename="org.apache.shale.usecases.view.Bundle"/>
	<body class="section-1">

	<h:form onsubmit="return validateForm(this);">
        <h:commandLink action="home" value="Back" immediate="true"/><br/><br/>

		<!-- Example of the runtime option.  The createTabs method binding event builds the tab links 
            dynamically in the view controller -->

		<clay:clay id="tabs" jsfid="RUNTIME"
			shapeValidator="#{rolodex.createTabs}" managedBeanName="rolodex" />

		<!-- Example of the xml composition option. -->
		<div id="contents"><h:panelGrid columns="2">

			<!-- A list of contacts to select from -->
			<clay:clay id="contacts" jsfid="contactTable">
			   <clay:symbol name="managed-bean-name" value="rolodex"/>
			</clay:clay>

			<h:panelGrid columns="2">
				<clay:clay id="namePanel" jsfid="namePanel"
					managedBeanName="rolodex.selectedContact" />
				<clay:clay id="commandPanel" jsfid="commandPanel"
					managedBeanName="rolodex" />
				<h:outputText value="#{messages['rolodex.address.residentialAddress']}" style="color:#66B9CC"/>
				<h:outputText value="#{messages['rolodex.address.businessAddress']}" style="color:#66B9CC"/>
				<!-- clay:clay id="address1" jsfid="addressPanel"
					managedBeanName="rolodex.selectedContact.residentialAddress" / -->
				<f:subview id="address1">
				   <clay:clay id="address1" jsfid="classpath*:org/apache/shale/usecases/rolodex/address.html"
					   managedBeanName="rolodex.selectedContact.residentialAddress" />
			    </f:subview>
			    <f:subview id="address2">
				   <clay:clay id="address2" jsfid="foreignAddressPanel"
					   managedBeanName="rolodex.selectedContact.businessAddress" />
				</f:subview>
				<f:subview id="phone1">
				<clay:clay id="phone1" jsfid="residentialPhonePanel"
					managedBeanName="rolodex.selectedContact" />
				</f:subview>
				<f:subview id="phone2">
				   <clay:clay id="phone2" jsfid="businessPhonePanel"
					   managedBeanName="rolodex.selectedContact" />
			    </f:subview>
			</h:panelGrid>
		</h:panelGrid></div>
	</h:form>
	<val:validatorScript functionName="validateForm"/>
	</body>
</f:view>
</html>

